apiVersion: v1
kind: Service
metadata:
  name: laravel-api-service
  namespace: default
spec:
  selector:
    app: laravel-api
  type: NodePort
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
      nodePort: 30080

---

apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: laravel-api
  namespace: default
spec:
  replicas: 3
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
  template:
    metadata:
      name: laravel-api
      labels:
        app: laravel-api
    spec:
      containers:
        - name: laravel-docker
          image: mikehe/laravel-docker:master
          imagePullPolicy: Always
          ports:
            - containerPort: 80
          env:
            - name: DEPLOY_VERSION
              value: %deploy_version%
            - name: APP_KEY
              valueFrom:
                configMapKeyRef:
                  name: env-config
                  key: app_key

---

apiVersion: v1
kind: ConfigMap
metadata:
  name: env-config
  namespace: default
data:
  app_key: base64:QUGKOdu2C6izzGmskhDKjvudFHcJMhPOvjxZ6YwafVE=
